Bug 145874 - yum and multilib - an installation order not always preserved
yum and multilib - an installation order not always preserved
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-22 17:25 EST by Michal Jaegermann
Modified: 2014-01-21 17:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-23 10:06:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-01-22 17:25:40 EST
Description of problem:

If I understand the situation correctly while installing
x86_64 and i386 version of some package the one for i386 should
be installed first and the one for x86_64 on the top of it to
resolve possible conflicts correctly.

When installing packages in the same transactions yum does the
above; but if, for example, the current update for openoffice.org
pulls in libidn.i386, curl.i386, readline.i386 and python.i386
then this ordering is disturbed as x86_64 variants were installed
already some time ago.

One would think that yum should check for such situation and
force a reinstallation of required x86_64 packages if they
were indeed already present on a system.

Version-Release number of selected component (if applicable):
yum-2.1.12-2
Comment 1 Seth Vidal 2005-01-23 10:06:23 EST
That's not correct. They don't have to be installed in a particular
order. All the multilib handling in rpm has to do is install the
binaries so that the compat binary is the one that is kept.

it always does this and it has nothing to do with the order the
packages are installed.

Note You need to log in before you can comment on or make changes to this bug.